Bug 245938 - dns/py-idna: Update to 2.10
Summary: dns/py-idna: Update to 2.10
Status: In Progress
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL: https://github.com/kjd/idna/blob/v2.1...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-26 16:23 UTC by daniel.engberg.lists
Modified: 2020-10-16 01:40 UTC (History)
4 users (show)

See Also:
koobs: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Patch for py-idna (1.19 KB, patch)
2020-04-26 16:23 UTC, daniel.engberg.lists
no flags Details | Diff
Patch for py-idna 2.10 (1.01 KB, patch)
2020-08-15 20:00 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-04-26 16:23:26 UTC
Created attachment 213815 [details]
Patch for py-idna

Update py-idna to 2.9

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) (VM)
Poudriere OK 12.1-RELEASE (AMD64)

Test report (make test):
Ran 7787 tests in 2.479s

OK (skipped=726)
Comment 1 Automation User 2020-05-11 06:46:27 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/144590453
Comment 2 daniel.engberg.lists 2020-07-28 10:14:59 UTC
Friendly ping
Comment 3 Li-Wen Hsu freebsd_committer 2020-08-13 08:50:01 UTC
Final ping before marking this maintainer timeout.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2020-08-13 09:42:06 UTC
Reverse dependents/consumers require QA for version and API compatibility
Comment 5 daniel.engberg.lists 2020-08-15 20:00:39 UTC
Created attachment 217241 [details]
Patch for py-idna 2.10

Update py-idna to 2.10

Tested on FreeBSD 13.0-CURRENT #0 r358620 (AMD64) (VM)
Poudriere OK 12.1-RELEASE (AMD64)

Test report (make test):
Ran 7787 tests in 2.064s

OK (skipped=740)
Comment 6 daniel.engberg.lists 2020-08-15 20:02:26 UTC
Exactly what needs to be done to proceed?
I don't see anything that would break API in the commit history

https://github.com/kjd/idna/compare/v2.8...v2.10
Comment 7 daniel.engberg.lists 2020-08-15 20:13:17 UTC
Output from current version in tree (2.8):

Ran 7787 tests in 2.176s

OK (skipped=726)
Comment 8 Matthias Andree freebsd_committer 2020-10-11 13:53:14 UTC
Daniel, I think it diligent to see if this is still current, and if not update it, and then also test-compile and run-time test all the ports that use py-idna.
Comment 9 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-12 01:56:28 UTC
maketest: py27: Ran 7787 tests in 2.094s OK (skipped=740)
maketest: py38: Ran 7787 tests in 2.114s OK (skipped=740)
testport: OK (poudreire: bulk, reverse dependencies)
Comment 10 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-12 02:01:58 UTC
I excluded some reverse dependencies, those that ended up pulling 100+ more dependencies, and those that depended on twisted, because pyserial is currently failing to build (stage) with:

===> Creating unique files: Move files needing SUFFIX
Move: bin/miniterm.py --> bin/miniterm.py-3.7
Link: @bin/miniterm.py --> bin/miniterm.py-3.7
Move: bin/miniterm.py --> bin/miniterm.py-3.7
Link: @bin/miniterm.py --> bin/miniterm.py-3.7
install: /wrkdirs/usr/ports/comms/py-pyserial/work-py37/stage/usr/local/bin/miniterm.py-3.7: realpath: Too many levels of symbolic links
*** Error code 71

I'd normally fix this (yak-ception), but I don't have time at present and the QA gains for it (twisted) are minimal to none.
Comment 11 commit-hook freebsd_committer 2020-10-12 02:04:40 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 12 02:03:58 UTC 2020
New revision: 552091
URL: https://svnweb.freebsd.org/changeset/ports/552091

Log:
  dns/py-idna: Update to 2.10

  Update test target directly invoke unittest, as setup.py test is
  technically deprecated and discouraged upstream, currently without a
  canonical replacement [1]

  Changelog:

    https://github.com/kjd/idna/blob/v2.10/HISTORY.rst

  [1] https://github.com/pypa/setuptools/issues/1684

  PR:		245938
  Submitted by:	Daniel Engberg <daniel.engberg.lists pyret net>
  MFH:		2020Q3 (blanket: bugfix releas(es))

Changes:
  head/dns/py-idna/Makefile
  head/dns/py-idna/distinfo
Comment 12 Loïc Bartoletti freebsd_committer 2020-10-12 04:55:48 UTC
Can you revert this commit please, it breaks devel/cmake (via py-sphinx):

```
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (idna 2.10 (/usr/local/lib/python3.7/site-packages), Requirement.parse('idna<2.9,>=2.5'), {'requests'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/bin/sphinx-build", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/local/lib/python3.7/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'idna<2.9,>=2.5' distribution was not found and is required by requests
[  7%] Linking CXX static library libcmstd.a
--- Utilities/Sphinx/doc_format_man ---
*** [Utilities/Sphinx/doc_format_man] Error code 1
```
Comment 13 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-12 05:21:27 UTC
This is why QA.

Fixing now
Comment 14 commit-hook freebsd_committer 2020-10-12 05:38:08 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 12 05:38:01 UTC 2020
New revision: 552095
URL: https://svnweb.freebsd.org/changeset/ports/552095

Log:
  www/py-requests: Chase dns/py-idna update

  ports r552091 updated idna to 2.10, breaking www/py-requests, and its
  dependents, with:

  raise DistributionNotFound(req, requirers)
  pkg_resources.DistributionNotFound: The 'idna<2.9,>=2.5' distribution was not found and is required by requests

  Backport an upstream commit [1] that kinda addresses "most" of the root
  cause problem of this for future dependency updates, by not pinning on
  minor versions.

  [1] https://github.com/psf/requests/pull/5342

  PR:		245938
  Reported by:	lbartoletti, ohauer
  MFH:		2020Q3
  X-MFH-With:	552091

Changes:
  head/www/py-requests/Makefile
  head/www/py-requests/files/patch-setup.py
Comment 15 commit-hook freebsd_committer 2020-10-12 05:42:10 UTC
A commit references this bug:

Author: koobs
Date: Mon Oct 12 05:41:28 UTC 2020
New revision: 552096
URL: https://svnweb.freebsd.org/changeset/ports/552096

Log:
  www/py-requests: Remove trailing slash added while QA'ing.

  Fix the pointyhat.

  PR:		245938
  MFH:		2020Q3
  X-MFH-With:	552091 552095

Changes:
  head/www/py-requests/Makefile
Comment 16 Kubilay Kocak freebsd_committer freebsd_triage 2020-10-16 01:40:54 UTC
Pending MFH